请选择 进入手机版 | 继续访问电脑版

默认
发表评论 5
[已回复] 求助MobileIMSDK的android 客户端 jdk1.8版本编译error
android客户端的demo 导入本地的eclipse编译error 。本地jdk1.8 , demo工程带的jdk是1.6

即时通讯网 - 即时通讯开发者社区! 来源: - 即时通讯开发者社区!

标签:MobileIMSDK
上一篇:[已回复] telnet 命令 连接MobileIMSDK服务端,连不上下一篇:[已回复] MobileIMSDK的sendData发送数据不完整的问题?
推荐方案
评论 5
你的Android IDE工具使用jdk 1.6、1.7、1.8都可以编译,估计是你的Eclipse的class path没设置好。
把你说的编译错误贴出来,一看就明白了。

比如我为了尽可能兼容低版本,用的jdk1.6是这样配置的,见下图(你依此类推换成你的jdk1.8):
QQ截图20180218104855.png
签名: 《一套高可用、易伸缩、高并发的IM群聊架构方案设计实践》http://www.52im.net/thread-2015-1-1.html
我改成1.8的
阿里旺旺图片20180218120155.jpg
我在你的界面上没有看到Android的ADT插件,你没有做过Android开发?
用纯java的IDE是不可能编译出Android程序的,Android开发需要自已的插件。

建议:
1)你可以先百度一下Android开发一个hello word是怎么实现的;
2)在我写的这个《即时通讯框架MobileIMSDK的开发指南:Android客户端》里,把我已经安装好Andrid的ADT插件和Android SDK下载下来,直接解压使用:http://www.52im.net/thread-61-1-1.html
111.png
签名: 《一套高可用、易伸缩、高并发的IM群聊架构方案设计实践》http://www.52im.net/thread-2015-1-1.html
明白了  谢谢啦
引用:xxfx007 发表于 2018-02-18 11:39
明白了  谢谢啦

虽然Android开发也比较容易,但和标准Java开发还是两回事,你花点时间系统地了解一下Android开发就可以了,上手很快
签名: 《一套高可用、易伸缩、高并发的IM群聊架构方案设计实践》http://www.52im.net/thread-2015-1-1.html
打赏楼主 ×
使用微信打赏! 使用支付宝打赏!

返回顶部